2024-04-14 19:16 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002783Virocop[All Projects] Generalpublic2014-05-04 22:26
ReporterStellan 
Assigned ToJOTDProject InfoVirocop (Graftgold)
http://www.whdload.de/games/Virocop.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002783: Access Fault when game over. --- After the last live is lost I get this access
DescriptionGameVersion: pre-installed version: Virocop_v1.1_AGA_1920.lha
SlaveVersion: Version 1.1 (07-mai-09 21:59:06)

Access Fault when game over. ---
After the last live is lost I get this access fault:
************************* 12-Jun-13 15:51:01 ************************17.2.5279***
Slave='VirocopAGA.Slave' (8056 bytes)
ShadowMem  2955828 -  2A2D828 ( 884736) AbsolutMem    D8000 -   1FF000 (1208320)
Resload    2FCE000 -  2FD57C0 (  30656) at 2FCE000  GL=$2FC5000
Slave      2FD7000 -  2FD8F54 (   8020) at 2FD7000  BaseMemSize=$1FF000
ExpMem     2F44000 -  2FC4000 ( 524288) at 2F44000
attn=7F(40,82) fc=-1 kn=11032 cs=1AAE rw=0 zpt=-1 ep=0 ei=0
setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
Exception "Access Fault" ($7008) PC = $23066 (Task 'Initial CLI') Byte Read
from $CCCCCCCC
$00023038 cmp.w        ($1ea5e,pc),d4
$0002303c bgt.b        $23088
$0002303e move.w       ($e,a2),d2                     ;$00106158
$00023042 move.w       d2,d3
$00023044 subi.w       #4,d2
$00023048 cmpi.w       #1,d2
$0002304c bge.b        $23050
$0002304e moveq        #1,d2
$00023050 addi.w       #$13,d3
$00023054 cmp.w        ($1ea66,pc),d3
$00023058 ble.b        $2305e
$0002305a move.w       ($1ea66,pc),d3
$0002305e move.l       ($1e892,pc),a4
$00023062 move.l       (4,a4),a3                      ;$0000000c
$00023066 cmp.b        (a3),d4                        ;$cccccccc
$00023068 bcs.b        $23088
$0002306a bhi.b        $2307c
$0002306c cmp.b        (1,a3),d2                      ;$cccccccd
$00023070 bhi.b        $2307c
$00023072 cmp.b        (1,a3),d3                      ;$cccccccd
$00023076 bcs.b        $23088
$00023078 bsr.w        $230f0
$0002307c move.l       a4,($1e892)
$00023082 lea          (8,a4),a4                      ;$00000010
$00023086 bra.b        $23062
$00023088 movem.l      (a7)+,d2-d4/a3-a4              ;$0001a82c
$0002308c rts
$0002308e movem.l      d2-d4/a3-a4,-(a7)              ;$0001a82c
$00023092 move.w       ($c,a2),d4                     ;$00106156
exception stackframe:
$001FEFC4 00040002 30667008 0001A83C 05210001 00210001 CCCCCCCC 0001E892 00000000
$001FEFE4 00000000 00028A54 00028850 0001DD04 00DFF000 00040002 C5160068
regular stack:
$0001A82C 00000000 00000000 FC3F0023 0005B228 000421E8 000229EA 00000000 00000000
$0001A84C FC3F0023 FFFF0002 00021CBC 0005B228 000421E8 00021E48 000214A2 0002147E
$0001A86C C3C00000 000210AE 000203C2 02FD8F26 00000FEC 0000763D 02FCE000 000124D4
$0001A88C 00000001 00000040 00001000 00002434 00000001 000065B1 00005A43 000196B4
$0001A8AC 02FD8D54 02FD8D6B 02FCE000 000196B4 0001A8D0 02FD8DE8 000124D4 02FD8DDC
  ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
Dx        0     CF950         1         E  FC3F0001  FFFF0002  FFE87800    100000
Ax   13F25C        2A    10614A  CCCCCCCC         8     1DD04    DFF000
                 TTSM III   XNZVC
PC=   23066  SR %0000000000000100  USP=1A82C  ISP=1FEFC4  MSP=1FE800
VBR=2FC6000  SFC=5  DFC=1  CACR=80008000  
TC=8000  URP=02FDA000  SRP=02FDA000  MMUSR=00000000
DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
         MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
intena=%0110000000101100 dmacon=%0000001111111111 adkcon=$1100
intreq=%0000011111000000
vposr....A300  vhposr...027E  joy0dat..0103  joy1dat..0804  clxdat...8067  
pot0dat..0000  pot1dat..00E0  potinp...4500  serdatr..3800  dskbytr..A000  
deniseid.00F8  hhposr...FF32  
   ciaa:     PI ROPS     ciab:     PI ROPS
 cra=00000001  ta=1CE2<3782    cra=00000000  ta=FFFF<FFFF
     AII ROPS       AII ROPS
 crb=00000001  tb=5810<FFFF    crb=10001000  tb=FFFF<FFFF
     10RTWCLO   parallel     DRCCDSOY      M3210HDS
 pra=11111110  prb=10011001      pra=11111111  prb=11111111
       ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
       event=000F60  icr=00  sdr=5E    event=00013A  icr=00  sdr=00
TagsNo tags attached.
MachineA1200
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad17.1
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0003917

JOTD (developer)

WHDLF_ClearMem flag did the trick. Fixed in v1.2 slave
+Notes

-Issue History
Date Modified Username Field Change
2013-06-12 17:01 administrator New Issue
2013-06-12 17:01 administrator Status new => assigned
2013-06-12 17:01 administrator Assigned To => JOTD
2014-05-04 22:26 JOTD Note Added: 0003917
2014-05-04 22:26 JOTD Status assigned => closed
2014-05-04 22:26 JOTD Resolution open => fixed
+Issue History